<?php

namespace Labrender\Outh2API\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Labrender\Outh2API\Interfaces\OauthAppsRepositoryInterface;

class OauthAppsPublicController extends BaseController
{
    // use OauthAppsWorkflow;

    /**
     * Constructor.
     *
     * @param type \Labrender\OauthApps\Interfaces\OauthAppsRepositoryInterface $oauth_apps
     *
     * @return type
     */
    public function __construct(OauthAppsRepositoryInterface $oauth_apps)
    {
        $this->repository = $oauth_apps;
        parent::__construct();
    }

    /**
     * Show oauth_apps's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $oauth_apps = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('outh2_a_p_i::public.oauth_apps.index', compact('oauth_apps'))->render();
    }

    /**
     * Show oauth_apps.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $oauth_apps = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('outh2_a_p_i::public.oauth_apps.show', compact('oauth_apps'))->render();
    }

}
