<?php

namespace Labrender\Outh2API;

use User;

class Outh2API
{
    /**
     * $oauth_apps object.
     */
    protected $oauth_apps;

    /**
     * Constructor.
     */
    public function __construct(\Labrender\Outh2API\Interfaces\OauthAppsRepositoryInterface $oauth_apps)
    {
        $this->oauth_apps = $oauth_apps;
    }

    /**
     * Returns count of outh2_a_p_i.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.oauth_apps.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->oauth_apps->pushCriteria(new \Litepie\Labrender\Repositories\Criteria\OauthAppsUserCriteria());
        }

        $oauth_apps = $this->oauth_apps->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('outh2_a_p_i::' . $view, compact('oauth_apps'))->render();
    }
}
