<?php

namespace Labrender\Outh2API\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind OauthApps validator
        \Labrender\Outh2API\Models\OauthApps::class => \Labrender\Outh2API\Workflow\OauthAppsValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind OauthApps actions
        \Labrender\Outh2API\Models\OauthApps::class => \Labrender\Outh2API\Workflow\OauthAppsAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind OauthApps notifiers
        \Labrender\Outh2API\Models\OauthApps::class => \Labrender\Outh2API\Workflow\OauthAppsNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
