<?php

namespace Labrender\Outh2API\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Labrender\Outh2API\Models\OauthApps;

class OauthAppsAction
{
    /**
     * Perform the complete action.
     *
     * @param OauthApps $oauth_apps
     *
     * @return OauthApps
     */
    public function complete(OauthApps $oauth_apps)
    {
        try {
            $oauth_apps->status = 'complete';
            return $oauth_apps->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param OauthApps $oauth_apps
     *
     * @return OauthApps
     */public function verify(OauthApps $oauth_apps)
    {
        try {
            $oauth_apps->status = 'verify';
            return $oauth_apps->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param OauthApps $oauth_apps
     *
     * @return OauthApps
     */public function approve(OauthApps $oauth_apps)
    {
        try {
            $oauth_apps->status = 'approve';
            return $oauth_apps->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param OauthApps $oauth_apps
     *
     * @return OauthApps
     */public function publish(OauthApps $oauth_apps)
    {
        try {
            $oauth_apps->status = 'publish';
            return $oauth_apps->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param OauthApps $oauth_apps
     *
     * @return OauthApps
     */
    public function archive(OauthApps $oauth_apps)
    {
        try {
            $oauth_apps->status = 'archive';
            return $oauth_apps->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param OauthApps $oauth_apps
     *
     * @return OauthApps
     */
    public function unpublish(OauthApps $oauth_apps)
    {
        try {
            $oauth_apps->status = 'unpublish';
            return $oauth_apps->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
