<?php

namespace Labrender\Outh2API\Workflow;

use Labrender\Outh2API\Models\OauthApps;
use Labrender\Outh2API\Notifications\OauthApps as OauthAppsNotifyer;
use Notification;

class OauthAppsNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param OauthApps $oauth_apps
     *
     * @return void
     */
    public function complete(OauthApps $oauth_apps)
    {
        return Notification::send($oauth_apps->user, new OauthAppsNotifyer($oauth_apps, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param OauthApps $oauth_apps
     *
     * @return void
     */
    public function verify(OauthApps $oauth_apps)
    {
        return Notification::send($oauth_apps->user, new OauthAppsNotifyer($oauth_apps, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param OauthApps $oauth_apps
     *
     * @return void
     */
    public function approve(OauthApps $oauth_apps)
    {
        return Notification::send($oauth_apps->user, new OauthAppsNotifyer($oauth_apps, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param OauthApps $oauth_apps
     *
     * @return void
     */
    public function publish(OauthApps $oauth_apps)
    {
        return Notification::send($oauth_apps->user, new OauthAppsNotifyer($oauth_apps, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param OauthApps $oauth_apps
     *
     * @return void
     */
    public function archive(OauthApps $oauth_apps)
    {
        return Notification::send($oauth_apps->user, new OauthAppsNotifyer($oauth_apps, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param OauthApps $oauth_apps
     *
     * @return void
     */
    public function unpublish(OauthApps $oauth_apps)
    {
        return Notification::send($oauth_apps->user, new OauthAppsNotifyer($oauth_apps, 'unpublish'));;

    }
}
